Name:		jack_capture
Version:	0.9.40
Release:	1%{?dist}
Summary:	Record sound files with JACK
Group:		Applications/Multimedia
# As explained in the COPYING file,
# jack_capture.c and atomicity/* are GPLv2+,
# jack_capture_gui2.cpp is BSD,
# atomic/* are LGPLv2+.
# The icon is borrowed from oxygen icon theme, which is LGPLv3+
License:	GPLv2+ and BSD and LGPLv3+
URL:		http://www.musix.org.ar/wiki/index.php/Jack_capture
Source0:	http://archive.notam02.no/arkiv/src/%{name}-%{version}.tar.gz
# Extra sources sent upstream via email on 2009-05-08
# since there is no upstream bugtracker.
Source1:	%{name}.desktop
Source2:	%{name}.png
# Fix compilation error on ppc64. Sent upstream via email on 2010-02-01.
# Upstream applied it to the trunk
Patch0:		jack_capture-ppc64.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libsndfile-devel
BuildRequires:	meterbridge
BuildRequires:	ncurses-devel

Requires:	meterbridge
Requires:	vorbis-tools
Requires:	xdialog

%description
Jack_capture is a program for recording sound files with JACK. It's default
operation is to capture whatever sound is going out to your speakers into a
file, but it can do a number of other operations as well.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} prefix=%{_prefix}

# Desktop file
mkdir -p %{buildroot}/%{_datadir}/applications
desktop-file-install					\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications	\
	%{SOURCE1}

# Icon
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps
install -pm 644 %{SOURCE2} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Jan 30 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.9.40-1
- Update to 0.9.40

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.9.35-1
- Update to 0.9.35

* Tue May 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.9.34-1
- Update to 0.9.34
- Drop upstreamed ppc64 patch

* Fri May 08 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.9.33-1
- Update to 0.9.33
- Drop upstreamed patches
- Fix the build failure on ppc64

* Wed May 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.9.32-1
- Initial build
